#ifndef INC_GTCOMMON_H
#define INC_GTCOMMON_H

/************************************************************************\
*
* Global constants for Gt.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

/* Useful macros */
#define GTMAX(x,y)	((x) > (y) ? (x) : (y))
#define GTMIN(x,y)	((x) < (y) ? (x) : (y))
#define GT3DBOX(l,d,w,xp,yp,xs,ys)	(l)->DrawLine(w,xp,yp,xp+xs-1,yp);\
																		(l)->DrawLine(w,xp,yp,xp,yp+ys-2);\
																		(d)->DrawLine(w,xp+xs-1,yp+1,xp+xs-1,yp+ys-1);\
																		(d)->DrawLine(w,xp,yp+ys-1,xp+xs-1,yp+ys-1);
																		
/* Special insert position */
#define GTP_LAST			0xFFFFFFFF

/* Special size */
#define GTS_MAX				0x7FFF

/* Types for resource converters */
#define GTRT_STRING		0		/* Really no conversion */
#define GTRT_BYTE			1		/* String -> (byte) */
#define GTRT_WORD			2		/* String -> (int) */
#define GTRT_LONG			3		/* String -> (long) */
#define GTRT_ALIGN		4		/* String -> (ubyte, GTA_*) */
#define GTRT_PLACE		5		/* String -> (ubyte, GTP_*) */
#define GTRT_ORIENT		6		/* String -> (ubyte, GTO_*) */
#define GTRT_DIR			7		/* String -> (ubyte, GTD_*) */
#define GTRT_BOOL			8		/* String -> (sbool) */
#define GTRT_FRAME		9		/* String -> (ubyte, GTF_*) */
#define GTRT_APLACE		10	/* String -> (ubyte, GTAP_*) */

#define GTRT_LAST_TYPE	10

/* Alignments */
#define GTA_LEFT		0		/* Align left */
#define GTA_RIGHT		1		/* Align right */
#define GTA_CENTER	2		/* Align center */
#define GTA_LAST_NR	2

/* Placement */
#define GTP_TOPLEFT		0		/* Place at top or left */
#define GTP_BOTRIGHT	1		/* Place at bottom or right */
#define GTP_CENTER		2		/* Place in center */
#define GTP_EXPAND		3		/* Place expanded */
#define GTP_LAST_NR		3

/* Orientation */
#define GTO_HORIZ			0		/* Horizontal */
#define GTO_VERT			1		/* Vertical */
#define GTO_LAST_NR		1

/* Direction */
#define GTD_LEFT			0
#define GTD_RIGHT			1
#define GTD_UP				2
#define GTD_DOWN			3
#define GTD_LAST_NR		3

/* Frame types */
#define GTF_NONE			0		/* No frame */
#define GTF_SIMPLE		1		/* Simple 2D frame */
#define GTF_DBL_IN		2		/* Double 3D frame in */
#define GTF_DBL_OUT		3		/* Double 3D frame out */
#define GTF_IN				4		/* Single 3D frame in */
#define GTF_OUT				5		/* Single 3D frame out */
#define GTF_LAST_NR		5

/* Scrollbar arrow placement */
#define GTAP_APART			0		/* At each end */
#define GTAP_TOGETHER		1		/* At one end */
#define GTAP_LAST_NR		1

#endif /* INC_GTCOMMON_H */
