#ifndef INC_GTSHELL_H
#define INC_GTSHELL_H

#include "gtbdrman.h"

/************************************************************************\
*
* GtShell class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

class GtShell : public GtBdrMan
{
public:
		/* Standard */
	GtShell(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtShell"); }
	sbool IsSubClassOf(char *cn);
		/* Window management */
	void Resize(word xs,word ys);
		/* Layout */
	void Relayout(void);
		/* Instance checks */
	sbool Manage(void) { return(FALSE); }
		/* Values */
	void SetEMask(ulong em);
protected:
		/* Internal methods */
	sbool Config(XEvent *xe);
	void Layout(void);
protected:
		/* Instance variables */
	uword sminxs,sminys;
	uword smaxxs,smaxys;
};

extern GtShell *GtMkShell(char *n,GtManager *p,GtTag *tgs);
extern GtShell *GtMkShell(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTSHELL_H */
